Page MenuHomePhabricator

[DO NOT USE] RevDelete/HideUser (tracking) [superseded by #MediaWiki-Revision-deletion]
Closed, InvalidPublic

Description

Author: happy.melon.wiki

Description:
Since these items are very much related, track them together. See also bug18818


Version: 1.15.x
Severity: enhancement

Details

Reference
bz18840

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:40 PM
bzimport set Reference to bz18840.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 18 2009, 8:28 PM

Adding 'tracking' keyword.

kudu wrote:

(In reply to comment #0)

Since these items are very much related, track them together.

Actually, they're not, since hideuser is currently suppression-level. See #21097.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 4:57 PM

Can we decline this task? We have already MediaWiki-Revision-deletion

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 3 2016, 9:39 PM
Meno25 removed a subscriber: Meno25.Feb 19 2016, 5:52 PM

Can we decline this task? We have already MediaWiki-Revision-deletion. If not, what is the exact difference and why is it interesting enough?

@Aklapper: T20840#1913692. ;) I guess no one has something against this.

TerraCodes closed this task as Declined.May 22 2016, 11:11 PM

per above

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMay 22 2016, 11:11 PM
Phabricator_maintenance removed subtasks: T70298: Give sysops deletelogentry and deleterevision rights by default, T61167: Uploading a previously deleted file can reveal a suppressed file name, T42412: Add user right which allow only suppress of log entry, T42411: Add user right to see logs which are deleted by deletelogentry, T36926: Add better revision delete handling for list=filearchive, T39714: [Regression] Incomplete log entries: sublog missing, T39488: Trying to hide many revisions at once causes a 414 Request-URI Too Long error, T37971: Local revision-deleted block summaries appearing at Special:CentralAuth, T37928: Hidden accounts still listed in Special:ListUsers and Special:Log/globalauth, T30982: strike timestamp for revision deleted version in diffs between archived revision, T27763: Special:Blocklist is leaking RevDel'ed information, T32445: Modify MediaWiki:Revdelete-reason-dropdown, T25730: Revision deletion log does not specify which revisions were affected to non-Sysops, T39117: Useless checkboxes for RevisionDeletion - You can only tick them but do nothing else, T25651: Make diff links work (even if not click-through) for suppressed and redacted revisions, T25653: Global oversighting a username ignores edit limits on hideuser blocks, T25654: Global oversight fails to un-hide users when reversed, T25633: Special:RevisionDelete accepts deleted revisions or visible revisions, but not both, T25594: Improve the error message presented when attempting to undelete a page for which the topmost revision is hidden, T25586: RevDel and watchlists, T30570: make revision length public on action=history for RevDel revision, T32192: Thumbnails of archived images don't get deleted, T25310: Global suppression does not work properly when the target has already been locally blocked, T30372: Do not link to shared revision deleted file, T22267: Public Autoblock is not hidden on Special:BlockList after hideuser, T30306: RevDel: Suppressed username in file history is leaked in case of file transclusion (InstantCommons / $wgForeignFileRepos), T22189: Allow mass-suppression on Special:Undelete, T25126: Locked and hidden accounts can unify new local accounts, T25093: Suppression for individual LiquidThreads revisions, T23279: Regular deletion of revisions deleted with rev_deleted breaks links in log entries, T24931: Suppressed content is not hidden in RSS/Atom feeds on enwiki, T23175: Add log excerpts to revdeleted diffs, T21725: Suppressed edits should not appear in Special:DeletedContributions and Special:Undelete, T20383: RevisionDelete: hidden users appear in log entries created after the hiding, T23097: HideUser : Admin-view level, T23096: HideUser : Transaction "bounces" but show as successful, T24795: Revision links should not be hidden for non-admins in RevDelete delete log entries, T29899: Special:NewPages does not handle RevisionDeletion, T29897: list=allusers and list=users list hidden users, T20335: Log entries for deleting log entries are opaque, T21592: Two default wording of some revision deletion messages needs changing, T31571: reimport a page with revdelete bits creates revision, T26519: RevDel'd imported edits may be blanked, T22954: Local contribution lists of globally hidden accounts no longer visible to stewards, T29747: Add better revision delete handling for list=deletedrevs, T29748: Add better revision delete handling for list=recentchanges, T20104: Schema request change so deleted edits are identified by revisionID not timestamp (prevents DIFFs from breaking), T29722: filearchive api module doesn't respect revdelete, T29715: prop=imageinfo shows suppressed data for oldimages, T16476: Hiding a global account via CentralAuth should trigger local blocks using wpHideName, T19929: CentralAuth lock/hide should trigger global autoblocks, T19881: Special:Log/suppress needs better error handling, T19806: Specific log_action for revision deletions, T24392: Revisions existing in both archive and revision tables, T20866: Watchlist should report when the log entry for an action affecting a watched page is changed (ie log suppression), T20862: RevisionDelete should have a MediaWiki -dropdown page, and dropdown menu for common revision deletion reasons, T20842: Comments hidden with RevDeleted silently suppressed, not marked "(Comment removed)" (patch), T20839: Misleading text/layout in RevisionDelete, T20827: PageHistory.php deleterevision <form> breaks on ugly URL wikis, T20805: Suppress username and Special:Listusers, T22476: Split suppressrevision in two distinct permissions : the first one to oversight content, and the other one to review oversighted content, T20772: RevDeleted layout misleading, T22447: RevDelete on revisions related to page moves should show checkboxes to also act upon relevant log entries, T20753: RevDeleted to link to the actual revision(s) involved for all users, T20747: deletion log shown on page re-creation is filled with useless individual revision supression entries, T20746: The (hide) button on revision deletion is confusing, displayed when revision is already hidden, T20745: Superfluous revision deletion links present in log entries, T20744: "Review this revision" dialog present when viewing a hidden revision, T20725: add revision suppression UI on deleted revision page, T20723: Add levels of hiding similar to revision deletion, T20674: History page excessively cluttered, esp. with suppressrevision, T20598: Create a maintenance script to convert oversighted content to suppressed with revision deletion, and the corresponding log entries too, T20578: Rewrite revision delete related messages to allow better localisation, T22290: Add "hide placeholder", T22288: diffs between revisions which are both deleted & suppressed, T20526: Store user ids in rollback summaries and substitute them run time, T20511: Remove "hiderevision" permission from the Oversight group, T20472: Suppression log filtered by "offender", as Oversight log can be., T20455: RevDeleted links not available at times when they should be or may be urgently needed, T19060: Page history lines are rendered differently to admins when contents have been concealed by RevisionDelete.Aug 5 2016, 2:28 PM
Danny_B renamed this task from RevDelete/HideUser (tracking) to [DO NOT USE] RevDelete/HideUser (tracking) [superseded by #MediaWiki-Revision-deletion].Aug 5 2016, 2:29 PM
Danny_B changed the task status from Declined to Invalid.
Danny_B lowered the priority of this task from Normal to Lowest.
Danny_B removed a subscriber: wikibugs-l-list.